Bug 1418476 - rhel-x86_64-server-6-rhevh-beta channel maps are missing from channel-cert-mapping.txt
Summary: rhel-x86_64-server-6-rhevh-beta channel maps are missing from channel-cert-ma...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 6.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 23:40 UTC by John Sefler
Modified: 2020-05-15 13:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:47:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2017-02-01 23:40:26 UTC
Description of problem:

RHN Classic channel '<SUBSTITUTE FROM LIST BELOW>' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt'. expected:<true> but was:<false>

rhel-x86_64-server-6-rhevh-beta
rhel-x86_64-server-6-rhevh-beta-debuginfo


Version-Release number of selected component (if applicable):
[root@jsefler-rhel6 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.33-1.el6.noarch

How reproducible:


Steps to Reproduce:
[root@jsefler-rhel6 ~]# grep -- 6-rhevh /usr/share/rhsm/product/RHEL-6/channel-cert-mapping.txt
rhel-x86_64-server-6-rhevh: rhev-x86_64-528e9b371346-150.pem
rhel-x86_64-server-6-rhevh-debuginfo: rhev-x86_64-528e9b371346-150.pem
[root@jsefler-rhel6 ~]# 


Actual results:
above

Expected results:
also expected product cert mappings for the beta channels...
rhel-x86_64-server-6-rhevh-beta
rhel-x86_64-server-6-rhevh-beta-debuginfo




Additional info:

After doing a satellite-sync --list-channels with url: https://satellite.rhn.redhat.com, I also notice that there is no package content for the beta channels which probably explains why there are no mappings in found in http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json  Please Advise.

[root@rhsm-sat5 ~]# grep -- 6-rhevh allchannels.txt 
12:24:47       p rhel-x86_64-server-6-rhevh                339 
12:24:47       p rhel-x86_64-server-6-rhevh-beta             0 
12:24:47       p rhel-x86_64-server-6-rhevh-beta-debuginfo    0 
12:24:47       p rhel-x86_64-server-6-rhevh-debuginfo        3

Comment 2 Jan Kurik 2017-12-06 11:47:59 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.